Ticket #45115

technology with a Never value in req1 and 2 will generate many errors

Eröffnet am: 2022-07-16 20:04 Letztes Update: 2023-01-19 02:37

Auswertung:
Verantwortlicher:
Typ:
Status:
Offen [Owner assigned]
Komponente:
Meilenstein:
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Accepted
Datei:
4

Details

if you have a tech with Never as the value of req1 and req2 it will generate tens of errors per turn. the errors have the following form

1: in research_invention_state() [research.c::620]: assertion '((void *)0) != valid_advance_by_number(tech)' failed.

1: Please report this message at https://osdn.net/projects/freeciv/ticket/

Ticket-Verlauf (3/16 Historien)

2022-07-16 20:04 Aktualisiert von: dark-ether
  • New Ticket "technology with a Never value in req1 or 2 will generate many errors" created
2022-07-16 20:06 Aktualisiert von: dark-ether
  • Details Updated
  • Summary Updated
2022-07-16 20:07 Aktualisiert von: dark-ether
  • Details Updated
2022-07-16 20:16 Aktualisiert von: cazfi
Kommentar

Backtrace seems to always show research_invention_state() -> maybe something to fix in it.

Though I don't know what support of "Never" requirement for techs is needed any more. Should we just get rid of it in master (d3f branches still need to be fixed)?

2022-07-16 20:47 Aktualisiert von: cazfi
Kommentar

Reply To cazfi

Though I don't know what support of "Never" requirement for techs is needed any more.

Ah, removal of a tech without breaking compatibility with existing savegames that refer to such tech likely works with this. Should reconsider also #45021 because of this.

2022-07-20 16:51 Aktualisiert von: cazfi
2022-07-20 16:51 Aktualisiert von: cazfi
  • Komponente Update from Rulesets to Server
2022-08-05 09:01 Aktualisiert von: cazfi
2022-10-07 09:31 Aktualisiert von: cazfi
2022-12-07 02:26 Aktualisiert von: cazfi
2023-01-18 04:42 Aktualisiert von: cazfi
  • Verantwortlicher Update from (Keine) to cazfi
  • Lösung Update from Keine to Accepted
2023-01-19 02:37 Aktualisiert von: cazfi
Kommentar

This causes #46544 breakage. Even though I have almost ready fix, this is a bit risky -> keep in testing for a full minor release cycle 3.0.6 -> 3.0.7

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden